Loading...
Searching...
No Matches
p_MemCopy.h File Reference

Go to the source code of this file.

## Macros

#define | _p_MemCopy(i, d, s)
#define | _p_MemCopy_LengthOne(d, s)
#define | _p_MemCopy_LengthTwo(d, s)
#define | _p_MemCopy_LengthThree(d, s)
#define | _p_MemCopy_LengthFour(d, s)
#define | _p_MemCopy_LengthFive(d, s)
#define | _p_MemCopy_LengthSix(d, s)
#define | _p_MemCopy_LengthSeven(d, s)
#define | _p_MemCopy_LengthEight(d, s)
#define | _p_MemCopy_Declare(d, s)
#define | p_MemCopy_LengthOne(d, s, length)
#define | p_MemCopy_LengthTwo(d, s, length)
#define | p_MemCopy_LengthThree(d, s, length)
#define | p_MemCopy_LengthFour(d, s, length)
#define | p_MemCopy_LengthFive(d, s, length)
#define | p_MemCopy_LengthSix(d, s, length)
#define | p_MemCopy_LengthSeven(d, s, length)
#define | p_MemCopy_LengthEight(d, s, length)
#define | p_MemCopy_LengthGeneral(d, s, length)

## Macro Definition Documentation

## _p_MemCopy

#define _p_MemCopy | ( |  | i,
|  |  | d,
|  |  | s )

Value:
d[i] = s[i]
i
int i
Definition cfEzgcd.cc:132
s
const CanonicalForm int s
Definition facAbsFact.cc:51

Definition at line 13 of file p_MemCopy.h.

## _p_MemCopy_Declare

#define _p_MemCopy_Declare | ( |  | d,
|  |  | s )

Value:
unsigned long* _d = ((unsigned long*) d); \
const unsigned long* _s = ((unsigned long*) s)

Definition at line 24 of file p_MemCopy.h.

#define _p_MemCopy_Declare(d, s) \
unsigned long* _d = ((unsigned long*) d); \
const unsigned long* _s = ((unsigned long*) s)

## _p_MemCopy_LengthEight

#define _p_MemCopy_LengthEight | ( |  | d,
|  |  | s )

Value:
do{_p_MemCopy_LengthSeven(d, s); _p_MemCopy(7, d, s);} while(0)
_p_MemCopy_LengthSeven
#define _p_MemCopy_LengthSeven(d, s)
Definition p_MemCopy.h:21
_p_MemCopy
#define _p_MemCopy(i, d, s)
Definition p_MemCopy.h:13

Definition at line 22 of file p_MemCopy.h.

## _p_MemCopy_LengthFive

#define _p_MemCopy_LengthFive | ( |  | d,
|  |  | s )

Value:
do{_p_MemCopy_LengthFour(d, s); _p_MemCopy(4, d, s);} while(0)
_p_MemCopy_LengthFour
#define _p_MemCopy_LengthFour(d, s)
Definition p_MemCopy.h:18

Definition at line 19 of file p_MemCopy.h.

## _p_MemCopy_LengthFour

#define _p_MemCopy_LengthFour | ( |  | d,
|  |  | s )

Value:
do{_p_MemCopy_LengthThree(d, s); _p_MemCopy(3, d, s);} while(0)
_p_MemCopy_LengthThree
#define _p_MemCopy_LengthThree(d, s)
Definition p_MemCopy.h:17

Definition at line 18 of file p_MemCopy.h.

## _p_MemCopy_LengthOne

#define _p_MemCopy_LengthOne | ( |  | d,
|  |  | s )

Value:
_p_MemCopy(0, d, s)

Definition at line 15 of file p_MemCopy.h.

## _p_MemCopy_LengthSeven

#define _p_MemCopy_LengthSeven | ( |  | d,
|  |  | s )

Value:
do{_p_MemCopy_LengthSix(d, s); _p_MemCopy(6, d, s);} while(0)
_p_MemCopy_LengthSix
#define _p_MemCopy_LengthSix(d, s)
Definition p_MemCopy.h:20

Definition at line 21 of file p_MemCopy.h.

## _p_MemCopy_LengthSix

#define _p_MemCopy_LengthSix | ( |  | d,
|  |  | s )

Value:
do{_p_MemCopy_LengthFive(d, s); _p_MemCopy(5, d, s);} while(0)
_p_MemCopy_LengthFive
#define _p_MemCopy_LengthFive(d, s)
Definition p_MemCopy.h:19

Definition at line 20 of file p_MemCopy.h.

## _p_MemCopy_LengthThree

#define _p_MemCopy_LengthThree | ( |  | d,
|  |  | s )

Value:
do{_p_MemCopy_LengthTwo(d, s); _p_MemCopy(2, d, s);} while(0)
_p_MemCopy_LengthTwo
#define _p_MemCopy_LengthTwo(d, s)
Definition p_MemCopy.h:16

Definition at line 17 of file p_MemCopy.h.

## _p_MemCopy_LengthTwo

#define _p_MemCopy_LengthTwo | ( |  | d,
|  |  | s )

Value:
do{_p_MemCopy_LengthOne(d, s); _p_MemCopy(1, d, s);} while(0)
_p_MemCopy_LengthOne
#define _p_MemCopy_LengthOne(d, s)
Definition p_MemCopy.h:15

Definition at line 16 of file p_MemCopy.h.

## p_MemCopy_LengthEight

#define p_MemCopy_LengthEight | ( |  | d,
|  |  | s,
|  |  | length )

Value:
do \
{ \
_p_MemCopy_Declare(d,s); \
_p_MemCopy_LengthEight(_d, _s); \
} \
while (0)

Definition at line 71 of file p_MemCopy.h.

#define p_MemCopy_LengthEight(d, s, length) \
do \
{ \
_p_MemCopy_Declare(d,s); \
_p_MemCopy_LengthEight(_d, _s); \
} \
while (0)

## p_MemCopy_LengthFive

#define p_MemCopy_LengthFive | ( |  | d,
|  |  | s,
|  |  | length )

Value:
do \
{ \
_p_MemCopy_Declare(d,s); \
_p_MemCopy_LengthFive(_d, _s); \
} \
while (0)

Definition at line 50 of file p_MemCopy.h.

#define p_MemCopy_LengthFive(d, s, length) \
do \
{ \
_p_MemCopy_Declare(d,s); \
_p_MemCopy_LengthFive(_d, _s); \
} \
while (0)

## p_MemCopy_LengthFour

#define p_MemCopy_LengthFour | ( |  | d,
|  |  | s,
|  |  | length )

Value:
do \
{ \
_p_MemCopy_Declare(d,s); \
_p_MemCopy_LengthFour(_d, _s); \
} \
while (0)

Definition at line 43 of file p_MemCopy.h.

#define p_MemCopy_LengthFour(d, s, length) \
do \
{ \
_p_MemCopy_Declare(d,s); \
_p_MemCopy_LengthFour(_d, _s); \
} \
while (0)

## p_MemCopy_LengthGeneral

#define p_MemCopy_LengthGeneral | ( |  | d,
|  |  | s,
|  |  | length )

Value:
do \
{ \
_p_MemCopy_Declare(d,s); \
const unsigned long _l = (unsigned long) length; \
unsigned long _i = 0; \
do \
{ \
_d[_i] = _s[_i]; \
_i++; \
} \
while (_i != _l); \
} \
while (0)
length
static BOOLEAN length(leftv result, leftv arg)
Definition interval.cc:257

Definition at line 79 of file p_MemCopy.h.

#define p_MemCopy_LengthGeneral(d, s, length) \
do \
{ \
_p_MemCopy_Declare(d,s); \
const unsigned long _l = (unsigned long) length; \
unsigned long _i = 0; \
do \
{ \
_d[_i] = _s[_i]; \
_i++; \
} \
while (_i != _l); \
} \
while (0)

## p_MemCopy_LengthOne

#define p_MemCopy_LengthOne | ( |  | d,
|  |  | s,
|  |  | length )

Value:
_p_MemCopy_LengthOne(d, s)

Definition at line 28 of file p_MemCopy.h.

## p_MemCopy_LengthSeven

#define p_MemCopy_LengthSeven | ( |  | d,
|  |  | s,
|  |  | length )

Value:
do \
{ \
_p_MemCopy_Declare(d,s); \
_p_MemCopy_LengthSeven(_d, _s); \
} \
while (0)

Definition at line 64 of file p_MemCopy.h.

#define p_MemCopy_LengthSeven(d, s, length) \
do \
{ \
_p_MemCopy_Declare(d,s); \
_p_MemCopy_LengthSeven(_d, _s); \
} \
while (0)

## p_MemCopy_LengthSix

#define p_MemCopy_LengthSix | ( |  | d,
|  |  | s,
|  |  | length )

Value:
do \
{ \
_p_MemCopy_Declare(d,s); \
_p_MemCopy_LengthSix(_d, _s); \
} \
while (0)

Definition at line 57 of file p_MemCopy.h.

#define p_MemCopy_LengthSix(d, s, length) \
do \
{ \
_p_MemCopy_Declare(d,s); \
_p_MemCopy_LengthSix(_d, _s); \
} \
while (0)

## p_MemCopy_LengthThree

#define p_MemCopy_LengthThree | ( |  | d,
|  |  | s,
|  |  | length )

Value:
do \
{ \
_p_MemCopy_Declare(d,s); \
_p_MemCopy_LengthThree(_d, _s); \
} \
while (0)

Definition at line 36 of file p_MemCopy.h.

#define p_MemCopy_LengthThree(d, s, length) \
do \
{ \
_p_MemCopy_Declare(d,s); \
_p_MemCopy_LengthThree(_d, _s); \
} \
while (0)

## p_MemCopy_LengthTwo

#define p_MemCopy_LengthTwo | ( |  | d,
|  |  | s,
|  |  | length )

Value:
do \
{ \
_p_MemCopy_Declare(d,s); \
_p_MemCopy_LengthTwo(_d, _s); \
} \
while (0)

Definition at line 29 of file p_MemCopy.h.

#define p_MemCopy_LengthTwo(d, s, length) \
do \
{ \
_p_MemCopy_Declare(d,s); \
_p_MemCopy_LengthTwo(_d, _s); \
} \
while (0)